Unable to get server status

Environment:

  • Java: JetBrains s.r.o. 17.0.9
  • OS: Linux amd64
  • IDE: IntelliJ IDEA 2023.3.1
  • SonarLint: 10.1.1.77150

Exception thrown by subscriber method configurationScopesAdded(org.sonarsource.sonarlint.core.event.ConfigurationScopesAddedEvent) on subscriber org.sonarsource.sonarlint.core.VersionSoonUnsupportedHelper@… when dispatching event: org.sonarsource.sonarlint.core.event.ConfigurationScopesAddedEvent@…

java.lang.IllegalStateException: Unable to get server status
	at o.ss.sl.core.serverapi.system.SystemApi.getStatusSync(SystemApi.java:55)
	at o.ss.sl.core.serverconnection.ServerInfoSynchronizer.synchronize(ServerInfoSynchronizer.java:40)
	at o.ss.sl.core.serverconnection.ServerInfoSynchronizer.lambda$readOrSynchronizeServerInfo$0(ServerInfoSynchronizer.java:34)
	at java.base/java.util.Optional.orElseGet(Optional.java:364)
	at o.ss.sl.core.serverconnection.ServerInfoSynchronizer.readOrSynchronizeServerInfo(ServerInfoSynchronizer.java:33)
	at o.ss.sl.core.serverconnection.ServerConnection.readOrSynchronizeServerVersion(ServerConnection.java:169)
	at o.ss.sl.core.VersionSoonUnsupportedHelper.checkIfSoonUnsupported(VersionSoonUnsupportedHelper.java:97)
	at o.ss.sl.core.VersionSoonUnsupportedHelper.lambda$checkIfSoonUnsupported$1(VersionSoonUnsupportedHelper.java:89)
	at java.base/java.util.HashMap.forEach(HashMap.java:1421)
	at o.ss.sl.core.VersionSoonUnsupportedHelper.checkIfSoonUnsupported(VersionSoonUnsupportedHelper.java:89)
	at o.ss.sl.core.VersionSoonUnsupportedHelper.configurationScopesAdded(VersionSoonUnsupportedHelper.java:68)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

Hi,

Welcome to the community!

I’ve moved your post to a new topic since I don’t think it’s directly related to where you posted it initially.

A new version of SonarLint has been released since you posted. Could you upgrade and see if this is still replicable?

 
Thx,
Ann

Hi Ann,

the same issue with version 10.2.1.77304.

Thx,
Jan

1 Like

Hi,

Thanks for trying the upgrade. This has been referred internally.

 
Ann

Hi @jeanlucpicard and @Janpopan,

Thanks for reaching out. It looks like your server was not accessible at that moment, or you were using invalid credentials. SonarLint shouldn’t fail so badly in this case and this is already fixed as part of a bigger rework, that should be released next month.

In the meantime, you can simply check your connection details, make sure they are correct, and check that SonarQube/SonarCloud is reachable from your machine